import sys
from io import StringIO
import uuid

# 创建一个StringIO对象用于捕获print输出
captured_output = StringIO()

print(uuid.uuid4())


# 获取最后一行print信息
def getFileListPrint():
    # 获取捕获的内容
    output = captured_output.getvalue()
    # 获取最后一行
    last_line = output.strip().split('\n')[-1]
    # 打印最后一行
    print(last_line)
    return last_line


def printStr(v):
    # 备份原始的标准输出
    original_stdout = sys.stdout
    # 将标准输出重定向到StringIO对象
    sys.stdout = captured_output
    # 示例的print输出
    print(v)
    # 恢复原始的标准输出
    sys.stdout = original_stdout
    # 关闭StringIO对象
    # captured_output.close()
